Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | List of all members
CK_SSL3_KEY_MAT_OUT Struct Reference

`#include <pkcs11t.h>`

## Public Attributes
CK_OBJECT_HANDLE | hClientKey
CK_OBJECT_HANDLE | hClientMacSecret
CK_OBJECT_HANDLE | hServerKey
CK_OBJECT_HANDLE | hServerMacSecret
CK_BYTE_PTR | pIVClient
CK_BYTE_PTR | pIVServer

## Detailed Description

Definition at line 1594 of file pkcs11t.h.

## Member Data Documentation

CK_OBJECT_HANDLE CK_SSL3_KEY_MAT_OUT::hClientKey

Definition at line 1597 of file pkcs11t.h.

CK_OBJECT_HANDLE CK_SSL3_KEY_MAT_OUT::hClientMacSecret

Definition at line 1595 of file pkcs11t.h.

CK_OBJECT_HANDLE CK_SSL3_KEY_MAT_OUT::hServerKey

Definition at line 1598 of file pkcs11t.h.

CK_OBJECT_HANDLE CK_SSL3_KEY_MAT_OUT::hServerMacSecret

Definition at line 1596 of file pkcs11t.h.

CK_BYTE_PTR CK_SSL3_KEY_MAT_OUT::pIVClient

Definition at line 1599 of file pkcs11t.h.

CK_BYTE_PTR CK_SSL3_KEY_MAT_OUT::pIVServer

Definition at line 1600 of file pkcs11t.h.

The documentation for this struct was generated from the following file:

- src/lib/prov/pkcs11/pkcs11t.h